%global srcname pyRFC3339

Summary:        Generate and parse RFC 3339 timestamps
Name:           python-pyrfc3339
Version:        1.1
Release:        4%{?dist}

License:        MIT
URL:            https://pypi.python.org/pypi/pyRFC3339
Source0:        %{pypi_source}

Source1:        https://raw.githubusercontent.com/kurtraschke/pyRFC3339/e30cc1555adce0ecc7bd65509a2249d47e5a41b4/pyrfc3339/tests/tests.py
Patch3000:         pyrfc3339-use-pytest-in-tests.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%description
This package contains a python library to parse and generate
RFC 3339-compliant timestamps using Python datetime.datetime objects.

%package -n python3-pyrfc3339
Summary:  Generate and parse RFC 3339 timestamps
%{?python_provide:%python_provide python3-pyrfc3339}

%description -n python3-pyrfc3339
This package contains a Python 3 library to parse and generate
RFC 3339-compliant timestamps using Python datetime.datetime objects.

%generate_buildrequires
%pyproject_buildrequires


%prep
%autosetup -n %{srcname}-%{version} -N
cp -a %{SOURCE1} .
%patch -P 3000 -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyrfc3339

%check
%pytest -v tests.py

%files -n python3-pyrfc3339 -f %{pyproject_files}
%doc README.rst

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 31 2023 Yi Lin <nilusyi@tencent.com> - 1.1-2
- rebuilt for new infra.

* Tue Aug 29 2023 Yi Lin <nilusyi@tencent.com> - 1.1-1
- package init.